## Bsoft program

# bshell

### Usage: bshell [options] in1.star [in2.star ...]

Generates and operates on shell models.

### Actions for creation action:

-shell 134.2 | Generate a shell with the given radius.
-dodecahedron 215,3,0.3 | Generate an dodecahedral shell with the given radius and divisions,
| and a fraction to make it spherical.
-icosahedron 238.5,3,0.5 | Generate an icosahedral shell with the given radius and divisions,
| and a fraction to make it spherical.
-circle 527,243 | Generate a circle with the given radius and z offset.
-ellipse 620.5,314.9,5.2 | Generate an ellipse with the given x and y semi-axes lengths and z offset.
-ellipsoid 24.3,51.2,68 | Generate an ellipsoid with the given x,y,z semi-axes.
-cylinder 0,1,0,88.3,155 | Generate a cylinder with the given direction, radius and length.
-add -14.7 | Add a shell offset by a radial distance from selected components.
-fromcomponents 18.6,1 | Generate shells from components with given radius and flag for 2D.

### Actions:

-merge | Merge models into one after all other operations.
-guide poly.star | Input guide polyhedron to adjust the shell model.
-linklength 56.3 | Generate links with this maximum length for the sphere model.
-views local | Calculate views for components. Modes: origin: current origin,
| com: center-of-mass origin, map: map origin, local: neigbor plane.
-rdf 1.2 | Calculate the radial distribution function with the given sampling (angstrom).
-fit 15.6,200,1 | Fits a shell model to a map using the given resolution limits,
| and a flag to indicate negative contrast.
-radial | Calculate a radial profile based on a shell model.
-powerspectrum out.map | Calculate 2D power spectra around components in the shell.

### Selections:

-all | Reset selection to all models and components before other selections.
-select #Mod1@14 | Select models and components.

### Parameters:

-verbose 7 | Verbose output.
-id model1 | Set model identifier.
-newtype MEM | Type for all new components.
-componentradius 0.5 | Component display radius.
-linkradius 0.5 | Link display radius.

### Parameters for generating a model:

-points 152 | Number of points.
-separation 2.5 | Separation distance between points.
| Parameter for adjusting to a guide model:
-fraction 0.6 | Fraction of adjustment to a guide model (default 1).
-curved | Flag to indicate curved hull or shell surface (default not).

### Parameters for power spectra:

-size 45,40,20 | Size of densities to extract (default 20,20,20 voxels).
-origin 0.8,-10,15.7 | Set the origin for extracted densities.
-fftsize 256 | Size of power spectrum (default from images).
-resolution 20,360 | High and low resolution limits for cross-correlation (angstrom).
-annuli 2,95 | Real space annular limits (default 0,inf pixels).

### Input:

-parameters param.star | Input parameter file.
-map file.map | Input map file to associate with shell model.

### Output:

-output file.star | Output model parameter file.

Bsoft version 2.0.3-20180917 (64 bit)